# HSI–SURF: SURF-based registration for hyperspectral images

## Requirements

* Ubuntu 18.04 or later

## Dependencies

* Install: `sudo apt-get install libmatio-dev`

## Usage

Run `./HSISURF` with the following parameters:

`./HSISURF <reference_image.mat> <target_image.mat>`

Output:

* Textual result in console: scale, angle of rotation, and shifts over x and y axis.

## Additional program

`rot_scal` allows generating new target images with a specific scale and rotation angle to test the performance of the method.

Use:

`./rot_scal <image.mat> <scale> <angle>`

The output image is saved in the same directory with the name `rot_scal_out.mat`.

## Examples

Using Santa Barbara Line images:

`./HSISURF SantaBarbaraLine2013.mat SantaBarbaraLine2014.mat 8`

Using Pavia University image:

1. `./rot_scal PaviaUniversity.mat 2.0 90`
2. `./HSISURF PaviaUniversity.mat ./rot_scal_out.mat 8`

## Citation

This algorithm was presented in the article "SURF-based registration for hyperspectral images" published in the proceedings of the [2019 International Geoscience and Remote Sensing Symposium](http://dx.doi.org/10.1109/IGARSS.2019.8900462). If you use this program in your research projects, we encourage you to please cite our work:

```
@inproceedings{hsisurf,
	title = {{SURF-based} registration for hyperspectral images},
	booktitle = {International Geoscience and Remote Sensing Symposium},
	year = {2019},
	doi = {10.1109/IGARSS.2019.8900462},
	url = {http://dx.doi.org/10.1109/IGARSS.2019.8900462},
	author = {\'{A}lvaro Ord\'{o}\~{n}ez and Dora B. Heras and Francisco Arg\"{u}ello}
}

```
